import angular from 'angular';
import FooterDirective from './footer/ws-footer';
import ModalController from './modal-deprecated/ws-modal.controller';
import ModalService from './modal-deprecated/ws-modal.service';
import ModalComponent from './modal';
import NotificationDirective from './notifications/ws-notification';
import SecondaryNavDirective from './secondary-nav/ws-secondary-nav';

const injectorName = 'ws.common.layout';
export default injectorName;

angular.module(injectorName, [])
  .directive('wsFooter', FooterDirective)
  .component('wsModal', ModalComponent)
  .controller('wsModalController', ModalController)
  .service('wsModalService', ModalService)
  .directive('wsNotification', NotificationDirective)
  .directive('wsSecondaryNav', SecondaryNavDirective);
